?
Solved

vsftpd 2.0.2

Posted on 2005-03-17
11
Medium Priority
?
3,461 Views
Last Modified: 2010-05-18
Dear Experts,

I am trying to setup a ftp server I have downloaded and installed vsftpd 2.0.2 for some reason when I tried to run /usr/local/sbin/vsftpd & it yielded the below error message:

[root@magichands vsftpd-2.0.2]# 500 OOPS: vsftpd: not configured for standalone, must be started from inetd

Question:
1.) What's the difference between having to run in as a stonealone as oppose to from inetd?

2.) How do I configure it for both standalone AND with inetd?

3.) Which configuration is better standalone or inetd?

Thanks very much for your time,
James (linux newbie)
0
Comment
Question by:Charley420
[X]
Welcome to Experts Exchange

Add your voice to the tech community where 5M+ people just like you are talking about what matters.

  • Help others & share knowledge
  • Earn cash & points
  • Learn & ask questions
  • 2
  • 2
  • 2
  • +3
11 Comments
 
LVL 14

Accepted Solution

by:
pablouruguay earned 300 total points
ID: 13570207
please read and modify the file

/etc/vsftpd/vsftpd.conf

or locate vsftpd.conf

in this file VS specify what is StandAlone and all the settings.
0
 
LVL 5

Expert Comment

by:paranoidcookie
ID: 13573069
The difference between standalone and inetd is, in standalone the vsftpd runs all the time accepting connections. WHereas under inetd the inetd superserver runs all the time and when it detects a connection for ftp inetd runs vsftpd.
Depending on how many connections you expect you can choose whihc is best, lot of connections I would run standalone, few connections run from inetd (so the service is not ruinning all the time consuming resources).
0
 
LVL 1

Author Comment

by:Charley420
ID: 13580404
The below is my vsftpd.conf

# Standalone mode
listen=YES
max_clients=200
max_per_ip=4
# Access rights
anonymous_enable=NO
local_enable=YES
write_enable=YES
anon_upload_enable=NO
anon_mkdir_write_enable=NO
anon_other_write_enable=NO
# Security
anon_world_readable_only=YES
connect_from_port_20=YES
hide_ids=YES
pasv_min_port=50000
pasv_max_port=60000
# Features
xferlog_enable=YES
ls_recurse_enable=NO
ascii_download_enable=NO
async_abor_enable=YES
# Performance
one_process_model=YES
idle_session_timeout=120
data_connection_timeout=300
accept_timeout=60
connect_timeout=60
anon_max_rate=50000

For some reason I am still getting the below error:

500 OOPS: vsftpd: not configured for standalone, must be started from inetd

0
Supports up to 4K resolution!

The VS192 2-Port 4K DisplayPort Splitter is perfect for anyone who needs to send one source of DisplayPort high definition video to two or four DisplayPort displays. The VS192 can split and also expand DisplayPort audio/video signal on two or four DisplayPort monitors.

 
LVL 14

Expert Comment

by:pablouruguay
ID: 13587637
ihave only this

# Allow anonymous FTP? (Beware - allowed by default if you comment this out).
anonymous_enable=YES
#
# Uncomment this to allow local users to log in.
local_enable=YES
#
# Uncomment this to enable any form of FTP write command.
write_enable=YES
#
# Default umask for local users is 077. You may wish to change this to 022,
# if your users expect that (022 is used by most other ftpd's)
local_umask=022
#
# Uncomment this to allow the anonymous FTP user to upload files. This only
# has an effect if the above global write enable is activated. Also, you will
# obviously need to create a directory writable by the FTP user.
#anon_upload_enable=YES
#
# Uncomment this if you want the anonymous FTP user to be able to create
# new directories.
#anon_mkdir_write_enable=YES
#
# Activate directory messages - messages given to remote users when they
# go into a certain directory.
dirmessage_enable=YES
#
# Activate logging of uploads/downloads.
xferlog_enable=YES
#
# Make sure PORT transfer connections originate from port 20 (ftp-data).
connect_from_port_20=YES
xferlog_std_format=YES

pam_service_name=vsftpd
userlist_enable=YES
#enable for standalone mode
listen=YES
tcp_wrappers=YES

and all work fine.







USE this scritp to start it

#!/bin/bash
#
# vsftpd      This shell script takes care of starting and stopping
#             standalone vsftpd.
#
# chkconfig: - 60 50
# description: Vsftpd is a ftp daemon, which is the program \
#              that answers incoming ftp service requests.
# processname: vsftpd
# config: /etc/vsftpd/vsftpd.conf

# Source function library.
. /etc/rc.d/init.d/functions

# Source networking configuration.
. /etc/sysconfig/network

# Check that networking is up.
[ ${NETWORKING} = "no" ] && exit 0

[ -x /usr/sbin/vsftpd ] || exit 0

RETVAL=0
prog="vsftpd"

start() {
        # Start daemons.

        if [ -d /etc/vsftpd ] ; then
                for i in `ls /etc/vsftpd/*.conf`; do
                        site=`basename $i .conf`
                        echo -n $"Starting $prog for $site: "
                        /usr/sbin/vsftpd $i &
                        RETVAL=$?
                        [ $RETVAL -eq 0 ] && {
                           touch /var/lock/subsys/$prog
                           success $"$prog $site"
                        }
                        echo
                done
        else
                RETVAL=1
        fi
        return $RETVAL
}

stop() {
        # Stop daemons.
        echo -n $"Shutting down $prog: "
        killproc $prog
        RETVAL=$?
        echo        [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$prog
        return $RETVAL
}

# See how we were called.
case "$1" in
  start)
        start
        ;;
  stop)
        stop
        ;;
  restart|reload)
        stop
        start
        RETVAL=$?
        ;;
  condrestart)
        if [ -f /var/lock/subsys/$prog ]; then
            stop
            start
            RETVAL=$?
        fi
        ;;
  status)
        status $prog
        RETVAL=$?
        ;;
  *)
        echo $"Usage: $0 {start|stop|restart|condrestart|status}"
        exit 1
esac

exit $RETVAL
0
 
LVL 5

Expert Comment

by:paranoidcookie
ID: 13589409
Your config looks ok thouhg Im not sure about the performance section never used those option. Have you tried launching it from inetd?
0
 

Expert Comment

by:fgrumanmicros
ID: 13619077
Hi Charley,

I am running very similar to your configuration.  I had the same problem and ended up just copying the vsftpd.conf file from the EXAMPLE/INTERNET_SITE_NOINETD/ folder in my installation back over the /etc/vsftpd.conf file.

Once I did that and made sure the value pair was set for listen=YES, I was off and running.

On my box, I am trying to integrate LDAP and no anonymous authorization.  It appears you are not allowing anonymous, either.  I had to remove the one_process_model=YES line as I received errors that this was for anonymous service only.  Dunno why, but that's what the error says.....

At this point, I was able to log in with local users, and I am still trying to figure out the LDAP piece.

And finally - if you want to start it manually - vsftpd &
On my distro (SUSE Pro 9.1), the default file location is /etc/vsftpd.conf.  I found a couple notes online that say the RedHat distro puts the default file in /etc/vsftpd/vsftpd.conf (as noted in a previous posting).  I think the vsftpd documentation is leaning toward a more generic /etc/ location without the extra folder.  Either way - if you don't specify the startup file, it looks to /etc/vsftpd.conf.

The reason I went into all that - here is my short little script I put together to start/stop vsftpd automatically:


#!/bin/bash

case "$1" in

start)
  echo "Starting vsftpd ..."
  /usr/local/sbin/vsftpd &
  ;;

stop)
  echo "Stopping vsftpd ..."
  killproc vsftpd
  ;;

restart)
  echo "Restarting vsftpd ..."
  killproc vsftpd
  /usr/local/sbin/vsfptd &
  ;;

*)
  echo "Usage: 'basename $0' {start|stop|restart}" >&2
  exit 64
  ;;

esac
exit 0

Save the file into your /etc/rc.d or /etc/init.d folder (depending on your distro) and make sure it is executable.  On a SUSE box, you can run chkconfig -a vsftpd and it will add that file to your runlevels automatically to start automatically on startup.

Hope that helps.
 
0
 

Expert Comment

by:fgrumanmicros
ID: 13619110
OH - and a couple more things to answer your questions:

I'm not sure why you would want to run two separate servers (one through inetd and the other standalone).  Maybe running both in one or the other?? There wouldn't be much advantage to doing what you proposed that I can see.  And if the machines are not running much else other than your ftp servers, I'd recommend the standalone.  As much as folks will say they take up resources, they really don't use that much when they are sitting there idling.  

Inetd is basically nothing more than a central listener daemon that handles all of the listening for multiple daemons/protocols.  So unless you are running an under-powered box, I would keep the flexibility of standalone.

Regards,
Frank
0
 
LVL 25

Expert Comment

by:Cyclops3590
ID: 16377103
No comment has been added to this question in more than 21 days, so it is now classified as abandoned.
I will leave the following recommendation for this question in the Cleanup topic area:
Accept: pablouruguay

Any objections should be posted here in the next 4 days. After that time, the question will be closed.

Cyclops3590
EE Cleanup Volunteer
0
 
LVL 5

Expert Comment

by:shajithchandran
ID: 26448090
Hi ALL,

I am trying to setup the SSL option here .But whenever I am using SSL ,I am getting this error .
 220 (vsFTPd 2.2.1)  
   234 Proceed with negotiation.  
   Secure connection error, return code -23.  
   

-23   Certificate is not signed by a trusted certificate authority.

I am not sure what i need to change in the configuration file .I hope I missed out the CA certificate but not able to figure out which option should i need to use .

Please help me to resolve this issue.

Thanks
0

Featured Post

Turn your laptop into a mobile console!

The CV211 Laptop USB Console Adapter provides a direct Laptop-to-Computer connection for fast and easy remote desktop access with no software to install.

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

I have seen several blogs and forum entries elsewhere state that because NTFS volumes do not support linux ownership or permissions, they cannot be used for anonymous ftp upload through the vsftpd program.   IT can be done and here's how to get i…
Note: for this to work properly you need to use a Cross-Over network cable. 1. Connect both servers S1 and S2 on the second network slots respectively. Note that you can use the 1st slots but usually these would be occupied by the Service Provide…
If you're a developer or IT admin, you’re probably tasked with managing multiple websites, servers, applications, and levels of security on a daily basis. While this can be extremely time consuming, it can also be frustrating when systems aren't wor…
In this video you will find out how to export Office 365 mailboxes using the built in eDiscovery tool. Bear in mind that although this method might be useful in some cases, using PST files as Office 365 backup is troublesome in a long run (more on t…
Suggested Courses

752 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question